<?php
    /**
     * ヘッダー サブモジュール
     */
    $lmd->invokeModule('database.head', array(
        'page_label' => '確認画面', // パラメーターを渡すことができます。
    ));
?>



<div class="contentA">

<div class="row">
    <div class="left">名前</div>
    <div class="right">

    <!-- 名前 -->
    <?php echo $name ?>

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">メールアドレス</div>
    <div class="right">

    <!-- メールアドレス -->
    <?php echo $email ?>

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">OS </div>
    <div class="right">

    <!-- OS -->
    <?php echo Resource::get('os', $os) ?>

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">購入時期</div>
    <div class="right">

    <!-- 購入時期 -->
    <?php echo Resource::get('within', $within, '') ?>

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">ブラウザ</div>
    <div class="right">

    <!-- ブラウザ -->
    <?php echo implode('　', $browser) ?>

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">お問合せ内容</div>
    <div class="right">

    <!-- お問合せ内容 -->
    <?php echo nl2br($message) ?>

    </div>
    <div class="clear"></div>
</div>

<div style="padding:10px">
<form method="post" action="./">

<?php foreach($lmd->getResponse() as $k => $v): ?>
    <?php if($k === 'browser'): foreach($v as $kk => $vv): ?>
        <input type="hidden" name="browser[<?php echo $kk ?>]" value="<?php echo $vv ?>" />
    <?php endforeach; else: ?>
        <input type="hidden" name="<?php echo $k ?>" value="<?php echo $v ?>" />
    <?php endif; ?>
<?php endforeach; ?>

<input name="undo" type="submit" value="やり直す" />
<input name="commit" type="submit" value="　　　登録する　　　" />

<?php if(DATABASE_DRYRUN): ?>
<p>※ サンプルのため、インサートしません</p>
<pre>
実際にインサートを行う場合は、下記を修正します。

Lambda/apps/&lt;APP_DIR&gt;/database/index.logic.php

修正前）
define('DATABASE_DRYRUN', 1);

修正後）
define('DATABASE_DRYRUN', 0);
</pre>
<?php endif; ?>

</form>
</div>

</div>



<?php
    /**
     * フッター サブモジュール
     */
    $lmd->invokeModule('database.foot');
?>
