<?php

/*****************************************************************************
 * 
 * サンプルのため、冗長なコメントになっています。
 * 
 ****************************************************************************/

// ライブラリのロード
//
// [tips]
// よく使うライブラリは、Lambda/apps/<APP_DIR>/app.init.php でロードしておくとよい。
Factory::import('Javascript');

// DAOをロードし、インスタンス化する
$dao = Factory::load('DB/DAO_test_table')->getInstance();

// POSTパラメーターの取得
$ids = $lmd->httpPost('ids', array());

if ($lmd->hasHttpPost('delete')) {
    // 【削除】ボタンが押された。
    // 削除実行
    $res = $dao->delete_BY_ids($ids);

    if ($res) {
        // 削除成功
        Javascript::backReferer('削除しました');
    } else {
        // 削除失敗
        Javascript::backReferer('削除に失敗しました', '', '#ffa07a');
    }
}

// デフォルト画面にリダイレクト
// ※このスクリプトを直接リクエストされた場合
$lmd->redirect($lmd->httpRequestDir().'/');
